@import url('https://fonts.googleapis.com/css2?family=Signika+Negative:wght@300;400;500;600;700&display=swap');

* {
    font-family: 'Signika Negative', sans-serif;
    text-decoration: none;
    margin: 0%;
    padding: 0%;
    font-weight:  400;

}

/* ---- Cambiar imagen por página ---- */
body[id="inicio"] {
    background: url(../img/nature1.jpg) center no-repeat fixed;
    background-size: cover;
    background-color: #30323a;
}

body[id="quien-soy"] {
    background: url(../img/nature2.jpg) center no-repeat fixed;
    background-size: cover;
    background-color: #474238;
}

body[id="trabajos"] {
    background: url(../img/nature3.jpg) center no-repeat fixed;
    background-size: cover;
    background-color: #5c6263;
}

body[id="contacto"] {
    background: url(../img/nature4.jpg) center no-repeat fixed;
    background-size: cover;
    background-color: #463f3e;
}


/* ---- Menú de navegación ---- */

header {
    display: block;
    text-align: right;

    margin: 24px;
    padding: 4px;

    border-radius: 12px;

    max-width: 100%;
    
}

header > ul > li {
    display: inline-block;
    list-style-type: none;
    backdrop-filter: blur(10px);
}

header > ul > li > a {
    display: inline-block;
    padding: 1em;
    color: white;
    background-color: rgba(0, 0, 0, 75%);
    border-radius: 8px;
}

header > ul > li > a:hover {
    background-color: white;
    color: black;
    box-shadow: 0px 1px 0px 1px rgba(0, 0, 0, 0.25), 0px 4px 8px rgba(0, 0, 0, 0.15);
    transition: 85ms;
}
header > ul > li > a:active {
    background-color:rgba(0, 0, 0, 50%);
    color: rgba(255, 255, 255, 85%);
    transition: 85ms;
}


/* ---- Article del centro ---- */

article {
    background-color: rgba(0, 0, 0, 70%);
    backdrop-filter: blur(10px);
    border-radius: 1em;

    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);

    padding: 1em;
    text-align: center;
}


h1 {
    color: white;
    font-weight: 400;
    margin-bottom: 8px;
}

p {
    color: white;
    font-weight: 300;
}


/* Footer redes sociales */

footer[class="social"] {
    position: absolute;
    bottom: 2em;
    right: 2em;
    text-align: right;
}

footer[class="social"] > a > img {
    width: 32px;
    filter: grayscale(100%) contrast(180%) brightness(250%) invert();
    opacity: 80%;
}

footer[class="social"] > a:hover > img {
    width: 32px;
    filter: none;
    opacity: 100%;
    transition: 85ms;
}


/* ---- Logo ---- */

div[id="logo"] > img {
    position: absolute;
    bottom: 2em;
    left: 2em;
    width: 48px;
}
